Alokai

SapccApiGetStoreLocationsRequest

Request parameters for getStoreLocations operation in SapccApi. SapccApiGetStoreLocationsRequest

interface SapccApiGetStoreLocationsRequest {
	readonly accuracy?: number;
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly latitude?: number;
	readonly longitude?: number;
	readonly pageSize?: number;
	readonly query?: string;
	readonly radius?: number;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
accuracyOptionalnumberAccuracy in meters. {number} SapccApiGetStoreLocations
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetStoreLocations
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetStoreLocations
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetStoreLocations
latitudeOptionalnumberCoordinate that specifies the north-south position of a point on the Earth's surface. {number} SapccApiGetStoreLocations
longitudeOptionalnumberCoordinate that specifies the east-west position of a point on the Earth's surface. {number} SapccApiGetStoreLocations
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetStoreLocations
queryOptionalstringLocation in plain text. Example: USA or New York City {string} SapccApiGetStoreLocations
radiusOptionalnumberRadius in meters. Max value: 40075000.0 (Earth's perimeter). {number} SapccApiGetStoreLocations
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetStoreLocations

On this page